<?php

namespace AppBundle\Form;

use AppBundle\Entity\Realisateur;
use AppBundle\Repository\RealisateurRepository;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\RangeType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;


class FilmType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
	    $builder
            ->add('titre', TextType::class)
		    ->add('annee', DateType::class, array(
		        'widget'    => 'single_text',
                'years'     => range(1930, 2050, 1),
                'format'    =>  'yyyy',
                'html5'     =>  true,
            ))
            /*->add('realisateur', EntityType::class, array(
                'class'         =>  'AppBundle\Entity\Realisateur',
                'choice_label'  =>  'nomComplet',
                'required'      =>  false
            ))*/
            ->add('realisateurs', CollectionType::class, array(
                'entry_type'    =>  EntityType::class,
                'entry_options'    =>  array(
                        'class'     =>  'AppBundle\Entity\Realisateur',
                        'choice_label'  =>  'nomComplet',
                        'required'  =>  false
                ),
                'allow_add'     =>  true,
                'allow_delete'  =>  true
            ))
            ->add('commentaire', TextareaType::class, array(
                'required'  => false
            ))
            ->add('note', RangeType::class, array (
                'required'  => false,
                'attr'      => array (
                    'min'   => 0,
                    'max'   => 5
                )
            ))
		    ->add('save', SubmitType::class, array('label' => 'Enregistrer'));
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AppBundle\Entity\Film'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'appbundle_film';
    }


}
